// BelegView.h : Schnittstelle der Klasse CBelegView
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BELEGVIEW_H__1387440D_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_BELEGVIEW_H__1387440D_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBelegView : public CFormView
{
protected:
	Lokal_Koord* subjekt;
	BOOL neuesSubjekt;

	void leseSubjektAusView();
	void setzeSubjektInView();

	void setzeGlobalDaten();
	
protected: // Nur aus Serialisierung erzeugen
	CBelegView();
	CImageList m_symboleKlein;
	DECLARE_DYNCREATE(CBelegView)

public:
	//{{AFX_DATA(CBelegView)
	enum { IDD = IDD_BELEG_FORM };
	CListCtrl	m_KreissegmentListe;
	CListCtrl	m_DreieckListe;
	CListCtrl	m_RechteckListe;
	CListCtrl	m_KreisListe;
	CString	m_Name;
	double	m_X;
	double	m_Y;
	double	m_Winkel;
	CString	m_Flaeche;
	CString	m_SY;
	CString	m_SX;
	CString	m_GlobSX;
	CString	m_GlobSY;
	CString	m_GlobFlaeche;
	//}}AFX_DATA

// Attribute
public:
	CBelegDoc* GetDocument();

// Operationen
public:

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CBelegView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementierung
public:
	virtual ~CBelegView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CBelegView)
	afx_msg void OnButtonAuswahl();
	afx_msg void OnButtonLoeschen();
	afx_msg void OnButtonNeu();
	afx_msg void OnButtonSpeichern();
	afx_msg void OnButtonClose();
	afx_msg void OnDblclkListElemente(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditLokalKoord();
	afx_msg void OnDblclkListRechtecke(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListDreiecke(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkListKreissegmente(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // Testversion in BelegView.cpp
inline CBelegDoc* CBelegView::GetDocument()
   { return (CBelegDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_BELEGVIEW_H__1387440D_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
