// DialogAuswahlDreieck.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Beleg.h"

#include "DialogAuswahlDreieck.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlDreieck 


DialogAuswahlDreieck::DialogAuswahlDreieck(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlDreieck::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlDreieck)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlDreieck::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlDreieck)
	DDX_Control(pDX, IDC_LIST_DREIECKAUSWAHL, m_DreieckListe);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlDreieck, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlDreieck)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlDreieck 
BOOL DialogAuswahlDreieck::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_DreieckListe.InsertColumn(0, "Name", LVCFMT_LEFT,  100);
	m_DreieckListe.InsertColumn(1, "X1", LVCFMT_LEFT,  50);
	m_DreieckListe.InsertColumn(2, "Y1", LVCFMT_LEFT,  50);
	m_DreieckListe.InsertColumn(3, "X2", LVCFMT_LEFT,  50);
	m_DreieckListe.InsertColumn(4, "Y2", LVCFMT_LEFT,  50);
	m_DreieckListe.InsertColumn(5, "X3", LVCFMT_LEFT,  50);
	m_DreieckListe.InsertColumn(6, "Y3", LVCFMT_LEFT,  50);


	Dreieck* dreieck;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrDreiecke->GetSize(); i++)
	{
		dreieck = arrDreiecke->GetAt(i);

		CString strx1, stry1, strx2, stry2, strx3, stry3;

		strx1.Format("%.2f", dreieck->GetX1());
		stry1.Format("%.2f", dreieck->GetY1());
		strx2.Format("%.2f", dreieck->GetX2());
		stry2.Format("%.2f", dreieck->GetY2());
		strx3.Format("%.2f", dreieck->GetX3());
		stry3.Format("%.2f", dreieck->GetY3());

		m_DreieckListe.InsertItem(i, dreieck->GetName());
		m_DreieckListe.SetItem(i, 1, LVIF_TEXT, strx1, 0, 0, 0, 0);
		m_DreieckListe.SetItem(i, 2, LVIF_TEXT, stry1, 0, 0, 0, 0);
		m_DreieckListe.SetItem(i, 3, LVIF_TEXT, strx2, 0, 0, 0, 0);
		m_DreieckListe.SetItem(i, 4, LVIF_TEXT, stry2, 0, 0, 0, 0);
		m_DreieckListe.SetItem(i, 5, LVIF_TEXT, strx3, 0, 0, 0, 0);
		m_DreieckListe.SetItem(i, 6, LVIF_TEXT, stry3, 0, 0, 0, 0);

		m_DreieckListe.SetItemData(i, (DWORD)dreieck);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DialogAuswahlDreieck::OnCancel() 
{
	CDialog::OnCancel();
}

void DialogAuswahlDreieck::OnOK() 
{
	int selItem = m_DreieckListe.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selDreieck = (Dreieck*)m_DreieckListe.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie ein Dreieck aus!");

}

void DialogAuswahlDreieck::setArrayDreiecke(CArray<Dreieck*, Dreieck*>* av)
{
	arrDreiecke = av;
}

Dreieck* DialogAuswahlDreieck::getSelDreieck()
{
	return m_selDreieck;
}

void DialogAuswahlDreieck::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_DreieckListe.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlDreieck::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();

	*pResult = 0;
}