// DialogAuswahlKreis.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Beleg.h"

#include "DialogAuswahlKreis.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlKreis 


DialogAuswahlKreis::DialogAuswahlKreis(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlKreis::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlKreis)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlKreis::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlKreis)
	DDX_Control(pDX, IDC_LIST_KREISAUSWAHL, m_KreisListe);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlKreis, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlKreis)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlKreis 
BOOL DialogAuswahlKreis::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_KreisListe.InsertColumn(0, "Name", LVCFMT_LEFT,  110);
	m_KreisListe.InsertColumn(1, "X1", LVCFMT_LEFT,  70);
	m_KreisListe.InsertColumn(2, "Y1", LVCFMT_LEFT,  70);
	m_KreisListe.InsertColumn(3, "Radius", LVCFMT_LEFT,  70);

	Kreis* kreis;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrKreise->GetSize(); i++)
	{
		kreis = arrKreise->GetAt(i);

		CString strx1,stry1,strradius;

		strx1.Format("%.2f", kreis->GetX1());
		stry1.Format("%.2f", kreis->GetY1());
		strradius.Format("%.2f", kreis->GetRadius());

		m_KreisListe.InsertItem(i, kreis->GetName());
		m_KreisListe.SetItem(i, 1, LVIF_TEXT, strx1, 0, 0, 0, 0);
		m_KreisListe.SetItem(i, 2, LVIF_TEXT, stry1, 0, 0, 0, 0);
		m_KreisListe.SetItem(i, 3, LVIF_TEXT, strradius, 0, 0, 0, 0);
		m_KreisListe.SetItemData(i, (DWORD)kreis);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DialogAuswahlKreis::OnOK() 
{
	int selItem = m_KreisListe.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selKreis = (Kreis*)m_KreisListe.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie einen Kreis aus!");
}	


void DialogAuswahlKreis::setArrayKreise(CArray<Kreis*, Kreis*>* av)
{
	arrKreise = av;
}

Kreis* DialogAuswahlKreis::getSelKreis()
{
	return m_selKreis;
}

void DialogAuswahlKreis::OnCancel() 
{
	CDialog::OnCancel();
}

void DialogAuswahlKreis::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_KreisListe.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlKreis::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();

	*pResult = 0;
}
	
	

