// DialogAuswahlLokalKoord.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Lokal_Koord.h"
#include "Resource.h"

#include "Beleg.h"
#include "DialogAuswahlLokalKoord.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlLokalKoord 


DialogAuswahlLokalKoord::DialogAuswahlLokalKoord(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlLokalKoord::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlLokalKoord)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlLokalKoord::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlLokalKoord)
	DDX_Control(pDX, IDC_LIST_AUSWAHL, m_liste);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlLokalKoord, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlLokalKoord)
	ON_NOTIFY(NM_DBLCLK, IDC_LIST_AUSWAHL, OnDblclkListAuswahl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlLokalKoord 
BOOL DialogAuswahlLokalKoord::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_liste.InsertColumn(0, "Name", LVCFMT_LEFT,  100);
	m_liste.InsertColumn(1, "X", LVCFMT_LEFT,  80);
	m_liste.InsertColumn(2, "Y", LVCFMT_LEFT,  80);
	m_liste.InsertColumn(3, "Winkel", LVCFMT_LEFT,  80);

	Lokal_Koord* lokalKoord;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrLokal_Koord->GetSize(); i++)
	{
		lokalKoord = arrLokal_Koord->GetAt(i);

		CString strX;
		CString strY;
		CString strWinkel;

		strX.Format("%.2f",lokalKoord->getX());
		strY.Format("%.2f",lokalKoord->getY());
		strWinkel.Format("%.2f",lokalKoord->getWinkel());

		m_liste.InsertItem(i, lokalKoord->GetName());

		m_liste.SetItem(i, 1, LVIF_TEXT, strX, 0, 0, 0, 0);
		m_liste.SetItem(i, 2, LVIF_TEXT, strY, 0, 0, 0, 0);
		m_liste.SetItem(i, 3, LVIF_TEXT, strWinkel, 0, 0, 0, 0);
		m_liste.SetItemData(i, (DWORD)lokalKoord);
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DialogAuswahlLokalKoord::OnOK() 
{
	int selItem = m_liste.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selLokal_Koord = (Lokal_Koord*)m_liste.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie ein Koordinatensystem");
}

void DialogAuswahlLokalKoord::setArrayLokal_Koord(CArray<Lokal_Koord*, Lokal_Koord*>* al)
{
	arrLokal_Koord = al;
}

Lokal_Koord* DialogAuswahlLokalKoord::getSelLokal_Koord()
{
	return m_selLokal_Koord;
}

void DialogAuswahlLokalKoord::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_liste.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlLokalKoord::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();
	*pResult = 0;
}

void DialogAuswahlLokalKoord::OnCancel() 
{
	// TODO: Zustzlichen Bereinigungscode hier einfgen
	
	CDialog::OnCancel();
}

