// DialogAuswahlRechteck.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Beleg.h"

#include "DialogAuswahlRechteck.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlRechteck 


DialogAuswahlRechteck::DialogAuswahlRechteck(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlRechteck::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlRechteck)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlRechteck::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlRechteck)
	DDX_Control(pDX, IDC_LIST_RECHTAUSWAHL, m_RechteckListe);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlRechteck, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlRechteck)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlRechteck 
BOOL DialogAuswahlRechteck::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_RechteckListe.InsertColumn(0, "Name", LVCFMT_LEFT,  100);
	m_RechteckListe.InsertColumn(1, "X1", LVCFMT_LEFT,  60);
	m_RechteckListe.InsertColumn(2, "Y1", LVCFMT_LEFT,  60);
	m_RechteckListe.InsertColumn(3, "X2", LVCFMT_LEFT,  60);
	m_RechteckListe.InsertColumn(4, "Y2", LVCFMT_LEFT,  60);


	Rechteck* rechteck;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrRechtecke->GetSize(); i++)
	{
		rechteck = arrRechtecke->GetAt(i);

		CString strx1, stry1, strx2, stry2;

		strx1.Format("%.2f", rechteck->GetX1());
		stry1.Format("%.2f", rechteck->GetY1());
		strx2.Format("%.2f", rechteck->GetX2());
		stry2.Format("%.2f", rechteck->GetY2());

		m_RechteckListe.InsertItem(i, rechteck->GetName());
		m_RechteckListe.SetItem(i, 1, LVIF_TEXT, strx1, 0, 0, 0, 0);
		m_RechteckListe.SetItem(i, 2, LVIF_TEXT, stry1, 0, 0, 0, 0);
		m_RechteckListe.SetItem(i, 3, LVIF_TEXT, strx2, 0, 0, 0, 0);
		m_RechteckListe.SetItem(i, 4, LVIF_TEXT, stry2, 0, 0, 0, 0);

		m_RechteckListe.SetItemData(i, (DWORD)rechteck);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DialogAuswahlRechteck::OnOK() 
{	
	int selItem = m_RechteckListe.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selRechteck = (Rechteck*)m_RechteckListe.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie einen Kreis aus!");
	
}

void DialogAuswahlRechteck::setArrayRechtecke(CArray<Rechteck*, Rechteck*>* av)
{
	arrRechtecke = av;
}

Rechteck* DialogAuswahlRechteck::getSelRechteck()
{
	return m_selRechteck;
}

void DialogAuswahlRechteck::OnCancel() 
{
	CDialog::OnCancel();
}

void DialogAuswahlRechteck::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_RechteckListe.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlRechteck::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();

	*pResult = 0;
}

