// DialogAuswahlVKreis.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Beleg.h"

#include "DialogAuswahlVKreis.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlKreissegement 


DialogAuswahlKreissegement::DialogAuswahlKreissegement(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlKreissegement::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlKreissegement)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlKreissegement::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlKreissegement)
	DDX_Control(pDX, IDC_LIST_KREISSEG_AUSWAHL, m_KreisegementListe);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlKreisegement, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlKreisegement)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlVKreis 
BOOL DialogAuswahlKreissegement::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_KreissegementListe.InsertColumn(0, "Name", LVCFMT_LEFT,  100);
	m_KreissegementListe.InsertColumn(1, "X1", LVCFMT_LEFT,  60);
	m_KreissegementListe.InsertColumn(2, "Y1", LVCFMT_LEFT,  60);
	m_KreissegementListe.InsertColumn(3, "ffnungswinkel", LVCFMT_LEFT,  60);
	m_KreissegementListe.InsertColumn(4, "Lagewinkel", LVCFMT_LEFT,  60);


	Kreissegement* kreissegement;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrKreissegemente->GetSize(); i++)
	{
		kreissegement = arrKreissegemente->GetAt(i);

		CString strx1, stry1, stroewinkel, strlwinkel ;

		strx1.Format("%.2f", kreissegement->GetX1());
		stry1.Format("%.2f", kreissegement->GetY1());
		stroewinkel.Format("%.2f", kreissegement->GetOeWinkel());
		strlwinkel.Format("%.2f", kreissegement->GetLWinkel());

		m_KreissegementListe.InsertItem(i, kreissegement->GetName());
		m_KreissegementListe.SetItem(i, 1, LVIF_TEXT, strx1, 0, 0, 0, 0);
		m_KreissegementListe.SetItem(i, 2, LVIF_TEXT, stry1, 0, 0, 0, 0);
		m_KreissegementListe.SetItem(i, 3, LVIF_TEXT, stroewinkel, 0, 0, 0, 0);
		m_KreissegementListe.SetItem(i, 4, LVIF_TEXT, strlwinkel, 0, 0, 0, 0);

		m_KreisegementListe.SetItemData(i, (DWORD)kreisegement);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
void DialogAuswahlKreissegement::OnCancel() 
{
	CDialog::OnCancel();
}

void DialogAuswahlKreissegement::OnOK() 
{
	int selItem = m_KreissegementListe.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selKreissegement = (Kreissegement*)m_KreissegementListe.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie ein Kreissegment aus!");
	
}

void DialogAuswahlKreissegement::setArrayKreissegemente(CArray<Kreissegement*, Kresisegement*>* av)
{
	arrKreissegemente = av;
}

Kreissegement* DialogAuswahlKreissegement::getSelKreissegement()
{
	return m_selKreissegement;
}

void DialogAuswahlKreissegement::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_KreissegementListe.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlKreissegement::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();

	*pResult = 0;
}
