// Kreis.cpp: Implementierung der Klasse Kreis.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Beleg.h"
#include "Kreis.h"
#include "Lokal_Koord.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif


IMPLEMENT_SERIAL(Kreis, element, 1)

Kreis::Kreis():element()
{
	m_Radius = 1;	
}

void Kreis::SetRadius(double r)
	{m_Radius = r;}

double Kreis::GetRadius() const
	{return m_Radius;}

void Kreis::SetLokal_Koord(Lokal_Koord* l)
{
	// erst aus altem lokalen System entfernen
	if(m_Lokal_Koord)
		m_Lokal_Koord->entfernen(this);

	if(l)
	{
		// in neues lokales Koordinatensysten einfgen
		l->einfuegen(this);
	}
	m_Lokal_Koord = l;
}

double Kreis::GetFlaeche() const
{	
	double A;
	A=Pi*m_Radius*m_Radius;
	return A;
}

double Kreis::GetSx() const
{
	double Sx;
	Sx = m_X1;
	return Sx;
}
double Kreis::GetSy() const
{
	double Sy;
	Sy = m_X1;
	return Sy;
}

void Kreis::Serialize( CArchive& archive )
{
    // Zuerst Vaterklasse seralisieren
    element::Serialize( archive );

    if( archive.IsStoring() )
    {
		archive << m_Radius;
	}
	else
	{
    	archive >> m_Radius;
	}	
}

