#ifndef AFX_KREISVIEW_H__838DD741_B751_11D1_B57A_A3EC638EE02E__INCLUDED_
#define AFX_KREISVIEW_H__838DD741_B751_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// KreisView.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Formularansicht KreisView 

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class KreisView : public CFormView
{
protected:
	KreisView();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	DECLARE_DYNCREATE(KreisView)

// Formulardaten
public:
	//{{AFX_DATA(KreisView)
	enum { IDD = IDD_DIALOG_KREIS_VIEW };
	CComboBox	m_Lokal_Koord;
	CString	m_Name;
	double	m_Radius;
	double	m_X1;
	double	m_Y1;
	//}}AFX_DATA

// Attribute
public:
	CBelegDoc* GetDocument();

// Operationen
public:
	CObject* getSubjekt();
	void setSubjekt(CObject* neuerKreis);
// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(KreisView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementierung
protected:	
	Kreis* subjekt;
	BOOL neuesSubjekt;
	void leseSubjektAusView();
	void setzeSubjektInView();
	virtual ~KreisView();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(KreisView)
	afx_msg void OnButtonAuswahl();
	afx_msg void OnButtonLoeschen();
	afx_msg void OnButtonNeu();
	afx_msg void OnButtonSpeichern();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FirmaView.cpp
inline BelegDoc* KreisView::GetDocument()
   { return (BelegDoc*)m_pDocument; }
#endif


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // AFX_KREISVIEW_H__838DD741_B751_11D1_B57A_A3EC638EE02E__INCLUDED_
