// Kreissegment.h: Schnittstelle fr die Klasse Kreissegment.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KREISSEGMENT_H__990E3361_B997_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_KREISSEGMENT_H__990E3361_B997_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "element.h"

class Kreissegment : public element  
{
	DECLARE_SERIAL(Kreissegment)

public:
	Kreissegment();

	void   SetRadius(double);
	double GetRadius() const;

	void   SetOeWinkel(double);
	double GetOeWinkel() const;

	void   SetLWinkel(double);
	double GetLWinkel() const;

	void SetLokal_Koord(Lokal_Koord* l);

	double GetFlaeche() const;
	double GetSx() const;
	double GetSy() const;
	
protected:
	double m_Radius, m_OeWinkel, m_LWinkel;
	void Serialize(CArchive&);	// Serialisierungsfunktion

	

};

#endif // !defined(AFX_KREISSEGMENT_H__990E3361_B997_11D1_B57A_A3EC638EE02E__INCLUDED_)
