// Lokal_Koord.h: Schnittstelle fr die Klasse Lokal_Koord.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LOKAL_KOORD_H__13874416_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_LOKAL_KOORD_H__13874416_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#ifndef _LOKAL_KOORD_H_
#define _LOKAL_KOORD_H_

#include "Kreis.h"
#include "Rechteck.h"
#include "Dreieck.h"
#include "Kreissegment.h"

#include "stdafx.h"

class Lokal_Koord : public CObject  
{
DECLARE_SERIAL(Lokal_Koord)

public:
	Lokal_Koord();

	CString	GetName() const;
	void    SetName(const CString&);

	double	getX() const;
	void	setX(double);

	double	getY() const;
	void	setY(double);

	double	getWinkel() const;
	void	setWinkel(double);

	double getFlaeche() const;

	double getlokalSx() const;
	double getlokalSy() const;

	double getglobalSx() const;
	double getglobalSy() const;


	void einfuegen(Kreis*);
	void entfernen(Kreis*);

	void einfuegen(Rechteck*);
	void entfernen(Rechteck*);

	void einfuegen(Dreieck*);
	void entfernen(Dreieck*);

	void einfuegen(Kreissegment*);
	void entfernen(Kreissegment*);

	const CArray<Kreis*, Kreis*>* GetKreis() const;
	const CArray<Rechteck*, Rechteck*>* GetRechteck() const;
	const CArray<Dreieck*, Dreieck*>* GetDreieck() const;
	const CArray<Kreissegment*, Kreissegment*>* GetKreissegment() const; 
	

protected:
	CString		m_Name;
	double		m_X,	
				m_Y,
				m_Winkel;
	CArray<Kreis*,Kreis*> m_ArrayKreise;
	CArray<Rechteck*,Rechteck*> m_ArrayRechtecke;
	CArray<Dreieck*,Dreieck*> m_ArrayDreiecke;
	CArray<Kreissegment*,Kreissegment*> m_ArrayKreissegmente;

	void Serialize( CArchive&);
};
#endif //_LOKAL_KOORD_H_
#endif // !defined(AFX_LOKAL_KOORD_H__13874416_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
