// element.cpp: Implementierung der Klasse element.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Beleg.h"
#include "element.h"
#include "Lokal_Koord.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

IMPLEMENT_SERIAL(element, CObject, 1)

element::element()
{
	m_Name			= " ";
	m_X1			= 0;
	m_Y1			= 0;
	m_Lokal_Koord	= NULL;
}

void element::SetName(const CString& n)
	{m_Name = n;}

CString element::GetName() const
	{return m_Name;}

void element::SetX1(double x)
	{m_X1 = x;}

double element::GetX1() const
	{return m_X1;}

void element::SetY1(double x)
	{m_Y1 = x;}

double element::GetY1() const
	{return m_Y1;}

Lokal_Koord* element::GetLokal_Koord()
{
	return m_Lokal_Koord;
}

void element::Serialize( CArchive& archive )
{
    // Zuerst Vaterklasse seralisieren
    CObject::Serialize( archive );

    if( archive.IsStoring() )
    {
		archive << m_Name;
		archive << m_X1;
		archive << m_Y1;
		archive << m_Lokal_Koord;
	}
	else
	{
    	archive >> m_Name;
		archive >> m_X1;
		archive >> m_Y1;
		archive >> m_Lokal_Koord;
	}	


}

