// Beleg.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//

#include "stdafx.h"
#include "Beleg.h"

#include "MainFrm.h"
#include "ChildFrm.h"
#include "BelegDoc.h"
#include "BelegView.h"
#include "KreisView.h"
#include "RechteckView.h"
#include "DreieckView.h"
#include "KreissegmentView.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CBelegApp* App() { return (CBelegApp*)AfxGetApp(); }

/////////////////////////////////////////////////////////////////////////////
// CBelegApp

BEGIN_MESSAGE_MAP(CBelegApp, CWinApp)
	//{{AFX_MSG_MAP(CBelegApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
		// HINWEIS - Hier werden Mapping-Makros vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG_MAP
	// Dateibasierte Standard-Dokumentbefehle
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
	// Standard-Druckbefehl "Seite einrichten"
	ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBelegApp Konstruktion/Destruktion

CBelegApp::CBelegApp()
{
	// ZU ERLEDIGEN: Hier Code zur Konstruktion einfgen
	// Alle wichtigen Initialisierungen in InitInstance platzieren
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CBelegApp-Objekt

CBelegApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CBelegApp Initialisierung

BOOL CBelegApp::InitInstance()
{
	AfxEnableControlContainer();

	// Standardinitialisierung
	// Wenn Sie diese Funktionen nicht nutzen und die Gre Ihrer fertigen 
	//  ausfhrbaren Datei reduzieren wollen, sollten Sie die nachfolgenden
	//  spezifischen Initialisierungsroutinen, die Sie nicht bentigen, entfernen.

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	// ndern des Registrierungsschlssels, unter dem unsere Einstellungen gespeichert sind.
	// Sie sollten dieser Zeichenfolge einen geeigneten Inhalt geben
	// wie z.B. den Namen Ihrer Firma oder Organisation.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	LoadStdProfileSettings();  // Standard-INI-Dateioptionen einlesen (einschlielich MRU)

	// Dokumentvorlagen der Anwendung registrieren. Dokumentvorlagen
	//  dienen als Verbindung zwischen Dokumenten, Rahmenfenstern und Ansichten.

	CMultiDocTemplate* pDocTemplate;
	pDocTemplate = new CMultiDocTemplate(
		IDR_BELEGTYPE,
		RUNTIME_CLASS(CBelegDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(CBelegView));
	AddDocTemplate(pDocTemplate);

	pDocTemplateKreis = new CMultiDocTemplate(
		IDR_BELEGTYPE,
		RUNTIME_CLASS(CBelegDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(KreisView));

	pDocTemplateRechteck = new CMultiDocTemplate(
		IDR_BELEGTYPE,
		RUNTIME_CLASS(CBelegDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(RechteckView));
	
	pDocTemplateDreieck = new CMultiDocTemplate(
		IDR_BELEGTYPE,
		RUNTIME_CLASS(CBelegDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(DreieckView));

	pDocTemplateKreissegment = new CMultiDocTemplate(
		IDR_BELEGTYPE,
		RUNTIME_CLASS(CBelegDoc),
		RUNTIME_CLASS(CChildFrame), // Benutzerspezifischer MDI-Child-Rahmen
		RUNTIME_CLASS(KreissegmentView));

	// Haupt-MDI-Rahmenfenster erzeugen
	CMainFrame* pMainFrame = new CMainFrame;
	if (!pMainFrame->LoadFrame(IDR_MAINFRAME))
		return FALSE;
	m_pMainWnd = pMainFrame;

	// Enable drag/drop open
	m_pMainWnd->DragAcceptFiles();

	// Enable DDE Execute open
	EnableShellOpen();
	RegisterShellFileTypes(TRUE);

	// Befehlszeile parsen, um zu prfen auf Standard-Umgebungsbefehle DDE, Datei offen
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	//	Starten ohne Dokument
	if(cmdInfo.m_nShellCommand == CCommandLineInfo::FileNew)
		cmdInfo.m_nShellCommand = CCommandLineInfo::FileNothing;

	// Verteilung der in der Befehlszeile angegebenen Befehle
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	// Das Hauptfenster ist initialisiert und kann jetzt angezeigt und aktualisiert werden.
	pMainFrame->ShowWindow(m_nCmdShow);
	pMainFrame->UpdateWindow();

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg-Dialogfeld fr Anwendungsbefehl "Info"

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialogfelddaten
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	//{{AFX_MSG(CAboutDlg)
		// Keine Nachrichten-Handler
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// Keine Nachrichten-Handler
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// Anwendungsbefehl, um das Dialogfeld aufzurufen
void CBelegApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CBelegApp-Befehle

CBelegApp::~CBelegApp()
{
	// freigeben, da nicht als Dokumententemplate hinzugefgt
	delete pDocTemplateKreis;
	delete pDocTemplateRechteck;
}


void CBelegApp::OnNeuesdokumentLokal_Koord() 
{
	pDocTemplateLokal_Koord->OpenDocumentFile(NULL);	
}

void CBelegApp::zeigeKreisInView(Kreis * subjekt)
{
	CDocument* aktuellesDoc = ((CFrameWnd*)m_pMainWnd)->GetActiveFrame()->GetActiveDocument();

	// View mit Subjekt schon geffnet?
	POSITION pos =    aktuellesDoc->GetFirstViewPosition();
	while(pos)
	{
		CView* v = aktuellesDoc->GetNextView( pos );
		KreisView* viewKreise = dynamic_cast<KreisView*>(v);
		if(viewKreise && viewKreise->getSubjekt() == subjekt)
		{
			((CMDIChildWnd*)viewKreise->GetParent())->MDIActivate();
			viewKreise->GetParent()->ShowWindow(SW_RESTORE);
		return;
		}
	}

	// View neu anlegen
	CFrameWnd* pFrame = pDocTemplateKreis->CreateNewFrame(aktuellesDoc, NULL);
	if (pFrame == NULL)
	{
		TRACE0("Warning: failed to create new frame.\n");
		return;     // command failed
	}

	pDocTemplateKreis->InitialUpdateFrame(pFrame, aktuellesDoc);
	((KreisView*)pFrame->GetActiveView())->setSubjekt(subjekt);
	aktuellesDoc->UpdateAllViews(NULL, 0L, subjekt) ;
}

void CBelegApp::zeigeRechteckInView(Rechteck * subjekt)
{
	CDocument* aktuellesDoc = ((CFrameWnd*)m_pMainWnd)->GetActiveFrame()->GetActiveDocument();

	// View mit Subjekt schon geffnet?
	POSITION pos =    aktuellesDoc->GetFirstViewPosition();
	while(pos)
	{
		CView* v = aktuellesDoc->GetNextView( pos );
		RechteckView* viewRechtecke = dynamic_cast<RechteckView*>(v);
		if(viewRechtecke && viewRechtecke->getSubjekt() == subjekt)
		{
			((CMDIChildWnd*)viewRechtecke->GetParent())->MDIActivate();
			viewRechtecke->GetParent()->ShowWindow(SW_RESTORE);
		return;
		}
	}

	// View neu anlegen
	CFrameWnd* pFrame = pDocTemplateRechteck->CreateNewFrame(aktuellesDoc, NULL);
	if (pFrame == NULL)
	{
		TRACE0("Warning: failed to create new frame.\n");
		return;     // command failed
	}

	pDocTemplateRechteck->InitialUpdateFrame(pFrame, aktuellesDoc);
	((RechteckView*)pFrame->GetActiveView())->setSubjekt(subjekt);
	aktuellesDoc->UpdateAllViews(NULL, 0L, subjekt) ;
}

void CBelegApp::zeigeDreieckInView(Dreieck * subjekt)
{
	CDocument* aktuellesDoc = ((CFrameWnd*)m_pMainWnd)->GetActiveFrame()->GetActiveDocument();

	// View mit Subjekt schon geffnet?
	POSITION pos =    aktuellesDoc->GetFirstViewPosition();
	while(pos)
	{
		CView* v = aktuellesDoc->GetNextView( pos );
		DreieckView* viewDreiecke = dynamic_cast<DreieckView*>(v);
		if(viewDreiecke && viewDreiecke->getSubjekt() == subjekt)
		{
			((CMDIChildWnd*)viewDreiecke->GetParent())->MDIActivate();
			viewDreiecke->GetParent()->ShowWindow(SW_RESTORE);
		return;
		}
	}

	// View neu anlegen
	CFrameWnd* pFrame = pDocTemplateDreieck->CreateNewFrame(aktuellesDoc, NULL);
	if (pFrame == NULL)
	{
		TRACE0("Warning: failed to create new frame.\n");
		return;     // command failed
	}

	pDocTemplateDreieck->InitialUpdateFrame(pFrame, aktuellesDoc);
	((DreieckView*)pFrame->GetActiveView())->setSubjekt(subjekt);
	aktuellesDoc->UpdateAllViews(NULL, 0L, subjekt) ;
}

void CBelegApp::zeigeKreissegmentInView(Kreissegment * subjekt)
{
	CDocument* aktuellesDoc = ((CFrameWnd*)m_pMainWnd)->GetActiveFrame()->GetActiveDocument();

	// View mit Subjekt schon geffnet?
	POSITION pos =    aktuellesDoc->GetFirstViewPosition();
	while(pos)
	{
		CView* v = aktuellesDoc->GetNextView( pos );
		KreissegmentView* viewKreissegmente = dynamic_cast<KreissegmentView*>(v);
		if(viewKreissegmente && viewKreissegmente->getSubjekt() == subjekt)
		{
			((CMDIChildWnd*)viewKreissegmente->GetParent())->MDIActivate();
			viewKreissegmente->GetParent()->ShowWindow(SW_RESTORE);
		return;
		}
	}

	// View neu anlegen
	CFrameWnd* pFrame = pDocTemplateKreissegment->CreateNewFrame(aktuellesDoc, NULL);
	if (pFrame == NULL)
	{
		TRACE0("Warning: failed to create new frame.\n");
		return;     // command failed
	}

	pDocTemplateKreissegment->InitialUpdateFrame(pFrame, aktuellesDoc);
	((KreissegmentView*)pFrame->GetActiveView())->setSubjekt(subjekt);
	aktuellesDoc->UpdateAllViews(NULL, 0L, subjekt) ;
}