// BelegDoc.h : Schnittstelle der Klasse CBelegDoc
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BELEGDOC_H__1387440B_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_BELEGDOC_H__1387440B_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Lokal_Koord.h"

class CBelegDoc : public CDocument
{
public:
	void update();												// Datennderung mitteilen

	void insert(Lokal_Koord* p_add);							// neues Koord.-system hinzufgen
	void remove(Lokal_Koord* f);								// Koord.-system entfernen
	CArray<Lokal_Koord*, Lokal_Koord*>* getArrayLokal_Koord();	// Zeiger auf das Array der Koord.-systeme

	void insert(Kreis* p_add);
	void remove(Kreis* v);
	CArray<Kreis*, Kreis*>* getArrayKreise();

	void insert(Rechteck* p_add);
	void remove(Rechteck* v);
	CArray<Rechteck*, Rechteck*>* getArrayRechtecke();

	void insert(Dreieck* p_add);
	void remove(Dreieck* v);
	CArray<Dreieck*, Dreieck*>* getArrayDreiecke();

	void insert(Kreissegment* p_add);
	void remove(Kreissegment* v);
	CArray<Kreissegment*, Kreissegment*>* getArrayKreissegmente();

protected:
	CArray<Lokal_Koord*, Lokal_Koord*> m_ArrayLokal_Koord;		// Array fr Koord.-systeme
	CArray<Kreis*, Kreis*> m_ArrayKreise;	// Array fr Kreise
	CArray<Rechteck*, Rechteck*> m_ArrayRechtecke;	// Array fr Rechtecke
	CArray<Dreieck*, Dreieck*> m_ArrayDreiecke;	// Array fr Dreiecke
	CArray<Kreissegment*, Kreissegment*> m_ArrayKreissegmente;	// Array fr Kreissegmente

	void loescheDaten();

protected: // Nur aus Serialisierung erzeugen
	CBelegDoc();
	DECLARE_DYNCREATE(CBelegDoc)

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CBelegDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void DeleteContents();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementierung
public:
	virtual ~CBelegDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Message-Map-Funktionen
protected:
	//{{AFX_MSG(CBelegDoc)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_BELEGDOC_H__1387440B_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
