// DialogAuswahlKreissegment.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "resource.h"
#include "Beleg.h"

#include "DialogAuswahlKreissegment.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld DialogAuswahlKreissegment 


DialogAuswahlKreissegment::DialogAuswahlKreissegment(CWnd* pParent /*=NULL*/)
	: CDialog(DialogAuswahlKreissegment::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogAuswahlKreissegment)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
}


void DialogAuswahlKreissegment::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogAuswahlKreissegment)
	DDX_Control(pDX, IDC_LIST_KSEGMENT_AUSWAHL, m_KreissegmentListe);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogAuswahlKreissegment, CDialog)
	//{{AFX_MSG_MAP(DialogAuswahlKreissegment)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten DialogAuswahlKreissegment 
BOOL DialogAuswahlKreissegment::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_KreissegmentListe.InsertColumn(0, "Name", LVCFMT_LEFT,  70);
	m_KreissegmentListe.InsertColumn(1, "Radius", LVCFMT_LEFT,  70);
	m_KreissegmentListe.InsertColumn(2, "X1", LVCFMT_LEFT,  70);
	m_KreissegmentListe.InsertColumn(3, "Y1", LVCFMT_LEFT,  70);
	m_KreissegmentListe.InsertColumn(4, "ffnungswinkel", LVCFMT_LEFT,  70);
	m_KreissegmentListe.InsertColumn(5, "Lagewinkel", LVCFMT_LEFT,  70);


	Kreissegment* kreissegment;
	// alle Firmen laden und in liste stellen
	for(int i = 0; i < arrKreissegmente->GetSize(); i++)
	{
		kreissegment = arrKreissegmente->GetAt(i);

		CString strx1, stry1, strradius, stroewinkel, strlwinkel ;

		strx1.Format("%.2f", kreissegment->GetX1());
		stry1.Format("%.2f", kreissegment->GetY1());
		strradius.Format("%.2f", kreissegment->GetRadius());
		stroewinkel.Format("%.2f", kreissegment->GetOeWinkel());
		strlwinkel.Format("%.2f", kreissegment->GetLWinkel());

		m_KreissegmentListe.InsertItem(i, kreissegment->GetName());
		m_KreissegmentListe.SetItem(i, 1, LVIF_TEXT, strx1, 0, 0, 0, 0);
		m_KreissegmentListe.SetItem(i, 2, LVIF_TEXT, stry1, 0, 0, 0, 0);
		m_KreissegmentListe.SetItem(i, 3, LVIF_TEXT, strradius, 0, 0, 0, 0);
		m_KreissegmentListe.SetItem(i, 4, LVIF_TEXT, stroewinkel, 0, 0, 0, 0);
		m_KreissegmentListe.SetItem(i, 5, LVIF_TEXT, strlwinkel, 0, 0, 0, 0);

		m_KreissegmentListe.SetItemData(i, (DWORD)kreissegment);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void DialogAuswahlKreissegment::OnCancel() 
{
	CDialog::OnCancel();
}

void DialogAuswahlKreissegment::OnOK() 
{
	int selItem = m_KreissegmentListe.GetNextItem(-1, LVNI_SELECTED);
	if(selItem != -1)
	{
		m_selKreissegment = (Kreissegment*)m_KreissegmentListe.GetItemData(selItem);
		CDialog::OnOK();
	}
	else
		AfxMessageBox("Bitte whlen Sie ein Kreissegment aus!");

}

void DialogAuswahlKreissegment::setArrayKreissegmente(CArray<Kreissegment*, Kreissegment*>* av)
{
	arrKreissegmente = av;
}

Kreissegment* DialogAuswahlKreissegment::getSelKreissegment()
{
	return m_selKreissegment;
}

void DialogAuswahlKreissegment::OnUpdateButtonOK(CCmdUI* pCmdUI)
{
	int selItem = m_KreissegmentListe.GetNextItem(-1, LVNI_SELECTED);
	pCmdUI->Enable(selItem != -1);
}

void DialogAuswahlKreissegment::OnDblclkListAuswahl(NMHDR* pNMHDR, LRESULT* pResult) 
{
	OnOK();

	*pResult = 0;
}

