// Dreieck.h: Schnittstelle fr die Klasse Dreieck.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DREIECK_H__49E35862_B7FD_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_DREIECK_H__49E35862_B7FD_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "element.h"

class Dreieck : public element  
{
	DECLARE_SERIAL(Dreieck)

public:
	Dreieck();

	void SetX2(double);
	double GetX2() const;

	void SetY2(double);
	double GetY2() const;

	void SetX3(double);
	double GetX3() const;

	void SetY3(double);
	double GetY3() const;

	void SetLokal_Koord(Lokal_Koord* l);

	double GetFlaeche() const;
	double GetSx() const;
	double GetSy() const;
	
protected:
	double m_X2, m_Y2, m_X3, m_Y3;
	void Serialize(CArchive&);	// Serialisierungsfunktion

};

#endif // !defined(AFX_DREIECK_H__49E35862_B7FD_11D1_B57A_A3EC638EE02E__INCLUDED_)
