// Implementierung der SerializeElements-Funktionen

#include "stdafx.h"
#include "SerializeElements.h"
#include "Lokal_Koord.h"


template <> void AFXAPI SerializeElements<Lokal_Koord*>(CArchive& ar, Lokal_Koord** ppElements, int nCount)
{
	if (ar.IsStoring())
	{
		for (int i = 0; i < nCount; i++)
		{
			Lokal_Koord* pKoord = *(ppElements + i);
			ar << pKoord;
		}
	}
	else
	{
		for (int i = 0; i < nCount; i++)
		{
			Lokal_Koord* pKoord = new Lokal_Koord;
			ar >> pKoord;
			*(ppElements + i) = pKoord;
		}
	}
}

template <> void AFXAPI SerializeElements<Kreis*>(CArchive& ar, Kreis** ppElements, int nCount)
{
	if (ar.IsStoring())
	{
		for (int i = 0; i < nCount; i++)
		{
			Kreis* pElement = *(ppElements + i);
			ar << pElement;
		}
	}
	else
	{
		for (int i = 0; i < nCount; i++)
		{
			Kreis* pElement = new Kreis;
			ar >> pElement;
			*(ppElements + i) = pElement;
		}
	}
}

template <> void AFXAPI SerializeElements<Rechteck*>(CArchive& ar, Rechteck** ppElements, int nCount)
{
	if (ar.IsStoring())
	{
		for (int i = 0; i < nCount; i++)
		{
			Rechteck* pElement = *(ppElements + i);
			ar << pElement;
		}
	}
	else
	{
		for (int i = 0; i < nCount; i++)
		{
			Rechteck* pElement = new Rechteck;
			ar >> pElement;
			*(ppElements + i) = pElement;
		}
	}
}

template <> void AFXAPI SerializeElements<Dreieck*>(CArchive& ar, Dreieck** ppElements, int nCount)
{
	if (ar.IsStoring())
	{
		for (int i = 0; i < nCount; i++)
		{
			Dreieck* pElement = *(ppElements + i);
			ar << pElement;
		}
	}
	else
	{
		for (int i = 0; i < nCount; i++)
		{
			Dreieck* pElement = new Dreieck;
			ar >> pElement;
			*(ppElements + i) = pElement;
		}
	}
}

template <> void AFXAPI SerializeElements<Kreissegment*>(CArchive& ar, Kreissegment** ppElements, int nCount)
{
	if (ar.IsStoring())
	{
		for (int i = 0; i < nCount; i++)
		{
			Kreissegment* pElement = *(ppElements + i);
			ar << pElement;
		}
	}
	else
	{
		for (int i = 0; i < nCount; i++)
		{
			Kreissegment* pElement = new Kreissegment;
			ar >> pElement;
			*(ppElements + i) = pElement;
		}
	}
}