// element.h: Schnittstelle fr die Klasse element.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ELEMENT_H__13874415_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
#define AFX_ELEMENT_H__13874415_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#ifndef _ELEMENT_H_
#define _ELEMENT_H_
#define Pi 3.14159265

class Lokal_Koord;

class element : public CObject  
{
	DECLARE_SERIAL(element)

protected:

	CString			m_Name;
	double			m_X1,
					m_Y1;
	Lokal_Koord*	m_Lokal_Koord;

	void Serialize(CArchive&);	// Serialisierungsfunktion

public:

	element(); 

	void SetName(const CString&);
	CString GetName() const ;

	void SetX1(double);
	double GetX1() const;

	void SetY1(double);
	double GetY1() const;

	Lokal_Koord* GetLokal_Koord();
};
#endif	//_ELEMENT_H_
#endif // !defined(AFX_ELEMENT_H__13874415_B5F2_11D1_B57A_A3EC638EE02E__INCLUDED_)
